package com.yushu.framework.common.enums;

import com.yushu.framework.common.core.ObjectArrayValuable;
import lombok.Getter;

import java.util.Arrays;

/**
 * 数据分类
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Getter
public enum DigitalDataCategory implements ObjectArrayValuable {
    /** 数据类型 */
    STATIC("STATIC", "静态量"),
    PULSE("PULSE", "脉冲量"),
    GRADATION("GRADATION", "阶段量"),
    SEQUENTIAL("SEQUENTIAL", "时序量");

    private String index;
    private String name;

    DigitalDataCategory(String index, String name) {
        this.index = index;
        this.name = name;
    }
    public static final Object[] ARRAYS = Arrays.stream(values()).map(DigitalDataCategory::getIndex).toArray();

    @Override
    public Object[] array() {
        return ARRAYS;
    }
}
